gnutls_pcert_import_x509_raw(3)

NAME
gnutls_pcert_import_x509_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_import_x509_raw(gnutls_pcert_st * pcert, const gnutls_datum_t * cert, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_pcert_st * pcert
    The pcert structure

const gnutls_datum_t * cert
    The raw certificate to be imported

gnutls_x509_crt_fmt_t format
    The format of the certificate

unsigned int flags
    zero for now

DESCRIPTION
This convenience function will import the given certificate to a gnutls_pcert_st structure. The structure must be deinitialized afterwards using gnutls_pcert_deinit();

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/